# TRTCSwitchRoomConfig class Null safety

Room switch parameters

## Constructors

TRTCSwitchRoomConfig({required String userSig, int roomId = 0, String privateMapKey = "", String strRoomId = ""})

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
privateMapKey ↔ String
  Field description: room signature, which is optional. If you want only users with the specified `userIds` to enter a room, you need to use `privateMapKey` to restrict the permission.
  read / write
roomId ↔ int
  Field description: room ID, which is required. Users (userId) in the same room can see one another and make video calls.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
strRoomId ↔ String
  Field description: string-type room ID, which is optional. Users in the same room can see one another and make video calls.
  read / write
userSig ↔ String
  Field description: user signature, which is required. It is the authentication signature corresponding to the current `userId` and acts as the login password for Tencent Cloud services.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited